## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global debug_package %{nil}

Name:           vulkan-volk
Version:        1.3.275.0
Release:        %autorelease
Summary:        Meta loader for Vulkan API

License:        MIT
URL:            https://github.com/zeux/volk
Source0:        %url/archive/vulkan-sdk-%{version}.tar.gz#/Vulkan-Volk-sdk-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake3
BuildRequires:  vulkan-headers

%description
%{summary}

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       vulkan-headers
Conflicts:      volk-devel

%description    devel
%{summary}

%prep
%autosetup -n volk-vulkan-sdk-%{version} -p1

%build
%cmake3 -DCMAKE_BUILD_TYPE=Release \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        -DVOLK_INSTALL:BOOL=ON
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE.md
%doc README.md
%dir %{_libdir}/cmake/volk
%{_includedir}/volk.h
%{_includedir}/volk.c
%{_libdir}/cmake/volk/*.cmake
%{_libdir}/libvolk.a

%changelog
* Thu Feb 22 2024 José Expósito <jexposit@redhat.com> 1.3.275.0-1
- Update to 1.3.275.0 SDK

* Wed Jan 31 2024 José Expósito <jexposit@redhat.com> 1.3.268.0-2
- Make vulkan-volk-devel conflict with volk-devel

* Wed Jan 31 2024 José Expósito <jexposit@redhat.com> 1.3.268.0-1
- vulkan-volk v1.3.268.0
